version: "3.9"

services:
  db:
    image: postgres:16
    container_name: velox-postgres
    restart: unless-stopped
    environment:
      POSTGRES_USER: velox
      POSTGRES_PASSWORD: velox_pwd
      POSTGRES_DB: velox
    ports:
      - "5432:5432"
    volumes:
      - velox_pgdata:/var/lib/postgresql/data
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U velox -d velox"]
      interval: 10s
      timeout: 5s
      retries: 5

volumes:
  velox_pgdata: